<?xml version="1.0" encoding="UTF-8"?>
<!--
Copyright 2004 The Apache Software Foundation

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

  $Id: project.xml,v 1.2 2006/10/06 07:54:02 shinsuke Exp $
-->

<project>
  <pomVersion>3</pomVersion>
  <groupId>pal</groupId>
  <artifactId>googlegadgets</artifactId>
  <name>Google Gadgets Portlet</name>
  <currentVersion>0.1</currentVersion>
  <description>This is a portlet to display Google Gadgets.</description>
  <shortDescription>Google Gadgets Portlet</shortDescription>

  <organization>
    <name>Portal Application Laboratorycom</name>
    <url>http://sourceforge.jp/projects/pal/</url>
    <logo>http://pal.sourceforge.jp/images/pal-logo.png</logo>
  </organization>
  <!-- If this project has a logo image, replace it -->
  <logo>http://pal.sourceforge.jp/images/sflogo.png</logo>

  <issueTrackingUrl>https://sourceforge.jp/projects/pal/tracker/</issueTrackingUrl>
  <siteAddress>shell.sourceforge.jp</siteAddress>
  <siteDirectory>/home/groups/p/pa/pal/htdocs/googlegadgets</siteDirectory>
  <distributionDirectory>/home/groups/p/pa/pal/htdocs/distributions</distributionDirectory>

  <repository>
    <connection>scm:cvs:pserver:anonymous@cvs.sourceforge.jp:/cvsroot/pal:googlegadgets</connection>
    <developerConnection>scm:cvs:ext:${maven.username}@cvs.sourceforge.jp:/cvsroot/pal:googlegadgets</developerConnection>
    <url>http://cvs.sourceforge.jp/cgi-bin/viewcvs.cgi/pal/googlegadgets</url>
  </repository>

  <mailingLists>
    <mailingList>
      <name>CVS Notification List</name>
      <subscribe>http://lists.sourceforge.jp/mailman/listinfo/pal-cvs</subscribe>
      <unsubscribe>http://lists.sourceforge.jp/mailman/listinfo/pal-cvs</unsubscribe>
      <archive>http://lists.sourceforge.jp/mailman/archives/pal-cvs/</archive>
    </mailingList>
  </mailingLists>

  <developers>
    <developer>
      <name>Shinsuke Sugaya</name>
      <id>shinsuke</id>
      <email>shinsuke@users.sourceforge.jp</email>
      <organization>marevol.com</organization>
      <roles>
        <role>Java Developer</role>
      </roles>
      <timezone>+9</timezone>
    </developer>
  </developers>
  
  <dependencies>
    <dependency>
      <groupId>portlet-api</groupId>
      <artifactId>portlet-api</artifactId>
      <version>1.0</version>
      <properties>
        <war.bundle>false</war.bundle>
      </properties>
    </dependency>
    <dependency>
      <groupId>jstl</groupId>
      <artifactId>jstl</artifactId>
      <version>1.0.2</version>
      <properties>
        <war.bundle>true</war.bundle>
      </properties>
    </dependency>
    <dependency>
      <groupId>taglibs</groupId>
      <artifactId>standard</artifactId>
      <version>1.0.4</version>
      <properties>
        <war.bundle>true</war.bundle>
      </properties>
    </dependency>
    
    <dependency>
      <groupId>log4j</groupId>
      <artifactId>log4j</artifactId>
      <version>1.2.9</version>
      <properties>
        <war.bundle>false</war.bundle>
      </properties>
    </dependency>    
    <dependency>
      <groupId>commons-logging</groupId>
      <artifactId>commons-logging</artifactId>
      <version>1.0.4</version>
      <url>http://jakarta.apache.org/commons/logging.html</url>
      <properties>
        <war.bundle>true</war.bundle>
      </properties>
    </dependency>

   </dependencies>


  <build>
    <sourceDirectory>src/java</sourceDirectory>
    <resources>
      <resource>
        <directory>${basedir}/src/java/</directory>
        <includes>
          <include>**/*.properties</include>
        </includes>
      </resource>
    </resources>
  </build>

  <reports>
    <report>maven-jdepend-plugin</report>
    <report>maven-pmd-plugin</report>
    <report>maven-changelog-plugin</report>
    <report>maven-file-activity-plugin</report>
    <report>maven-developer-activity-plugin</report>
    <report>maven-license-plugin</report>
    <report>maven-javadoc-plugin</report>
    <report>maven-jxr-plugin</report>
    <report>maven-junit-report-plugin</report>
    <report>maven-linkcheck-plugin</report>
    <report>maven-tasklist-plugin</report>
  </reports>  
</project>
